{* :Admin:Restaurace:Menu:Editace:default *}
{block content}
{*============================== BREADCRUMB ==============================*}
<section class="border-bottom" id="breadcrumb">
    <nav class="p-3 bg-light">
        <ol class="breadcrumb mb-0">
            <li class="breadcrumb-item"><a n:href=":Admin:Dashboard:default"><i class="fas fa-home me-1"></i> Nástěnka</a></li>
            <li class="breadcrumb-item active"><i class="fa-solid fa-utensils me-1"></i>Restaurace</li>
            <li class="breadcrumb-item"><a n:href=":Admin:Restaurace:Menu:Seznam:default">Restaurační menu</a></li>
            <li class="breadcrumb-item active" n:block="title">{$menu->nazev}</li>
        </ol>
    </nav>
</section>
{*============================== CONTENT ==============================*}
<section class="container-xxl mb-3">
    <section class="d-md-flex justify-content-between align-items-center pb-3">
        <h1 class="mb-2 mb-md-0">{$menu->nazev}</h1>
        <div class="d-flex gap-3">
            {*aktivace menu*}
            {snippet active}
                <a n:href="changeMenuActive!" class="ajax btn btn-{if $menu->active}success{else}danger{/if}">
                    <i class="fas fa-eye{if !$menu->active}-slash{/if} me-2"></i>{if $menu->active}Aktivní{else}Deaktivováno{/if}
                </a>
            {/snippet}
            {*editace menu*}
            <div>
                {control editMenu}
            </div>
            {*vymazání menu*}
            <div>
                {control vymazMenu}
            </div>
        </div>
    </section>
    <section class="d-flex justify-content-end gap-3 bg-header p-2 mb-3">
        {*export menu do PDF*}
        {control exportMenu}
        {*nastavení výstupu PDF*}
        {control nastaveniExport}
    </section>
    {*menu*}
    <section>
        {if $menu->related('rest_menu_skupiny')->count() !== 0}
            <div class="accordion accordion-flush mb-3" id="menu-{$menu->id}">
                {*skupina menu*}
                {snippet list}
                    <div class="accordion-item" n:foreach="$menu->related('rest_menu_skupiny')->order('sort ASC') as $skupina">
                        <h2 class="accordion-header border-bottom d-md-flex align-items-center gap-3">
                            <button class="accordion-button collapsed {if !$skupina->active}bg-danger{/if}" type="button" data-bs-toggle="collapse" data-bs-target="#skupina-{$skupina->id}">
                                {$skupina->nazev}
                            </button>
                            <div class="d-flex align-items-center gap-3 py-2 py-md-0">
                                {*aktivace skupiny menu*}
                                <a n:href="changeGroupActive! $skupina->id" class="ajax btn btn-outline-{if $skupina->active}success{else}danger{/if}">
                                    <i class="fas fa-eye{if !$skupina->active}-slash{/if}"></i>
                                </a>
                                {*posun nahoru skupiny menu*}
                                <a n:href="sortGroupUp! $skupina->id" class="ajax btn btn-outline-dark {if $skupina->sort == 1}disabled{/if}">
                                    <i class="fas fa-chevron-up"></i>
                                </a>
                                {*posun dolu skupiny menu*}
                                <a n:href="sortGroupDown! $skupina->id" class="ajax btn btn-outline-dark {if $skupina->sort == $menu->related('rest_menu_skupiny')->count()}disabled{/if}">
                                    <i class="fas fa-chevron-down"></i>
                                </a>
                                {*editace skupiny menu*}
                                <div>
                                    {control editSkupina-$skupina->id}
                                </div>
                                {*vymazání skupiny menu*}
                                <div>
                                    {control vymazSkupina-$skupina->id}
                                </div>
                            </div>
                        </h2>
                        <div id="skupina-{$skupina->id}" class="accordion-collapse collapse" data-bs-parent="#menu-{$menu->id}">
                            <div class="accordion-body">
                                {*položky menu*}
                                {control polozkySkupina-$skupina->id}
                            </div>
                        </div>
                    </div>
                {/snippet}
            </div>
        {else}
            <div class="fs-4">Menu neobsahuje položky</div>
        {/if}
        {*nová skupina menu*}
        <div class="d-flex justify-content-end">
            {control novaSkupina}
        </div>
    </section>
</section>
{/block}